import type { Metadata } from "next";

import {ElementsForm} from "../../../../components/stripe/ElementsForm";

export const metadata: Metadata = {
    title: "Payment",
};

export default function PaymentElementPage({
                                               searchParams,
                                           }: {
    searchParams?: { payment_intent_client_secret?: string };
}) {
    return (
        <div className="page-container">
            <h1>Pay</h1>
            <ElementsForm />
        </div>
    );
}