import type { Stripe } from "stripe";

import { stripe} from "../../../../lib/stripe";
import PrintObject from "../../../../components/stripe/PrintObject";

export default async function ResultPage({
                                             searchParams,
                                         }: {
    searchParams: { payment_intent: string };
}) {
    if (!searchParams.payment_intent)
        throw new Error("Please provide a valid payment_intent (`pi_...`)");

    const paymentIntent: Stripe.PaymentIntent =
        await stripe.paymentIntents.retrieve(searchParams.payment_intent);

    // Тут под идее тыкнуться в бек на тему того - прошла ли оплата. в зависимости от этого показать что все ок или нет
    // также стоит расшить ссылкой КУДА переходить после того как показали что все ок.

    return (
        <>
            <h2>Status: {paymentIntent.status}</h2>
            <h3>Payment Intent response:</h3>
            <PrintObject content={paymentIntent} />
        </>
    );
}